%define rel 2
%define release %mkrel %{rel}

Summary:	K9copy is a Video DVD backup tool 
Name:		k9copy
Version:	2.3.8
Release:	%{release}
License:	GPLv2+
Group:		Video/Utilities 
URL:		http://k9copy.sourceforge.net/
Source0:	http://downloads.sourceforge.net/k9copy/k9copy-%{version}-Source.tar.gz
BuildRequires:	kdelibs4-devel
#BuildRequires:	libdvdread-devel
#BuildRequires:	libdvdnav-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	libxine-devel
BuildRequires:	libmpeg2dec-devel
Patch0:		k9copy-ffmpeg-1.0.patch

#dvd9 to dvd5
Requires:	dvdauthor
#default burning tools
#growisofs, (cdrkit-)genisoimage
Requires:	dvd+rw-tools
#wodim
Requires:	cdrkit
# udisks is used instead of hal
Requires:	udisks
#optional for preview
Suggests:	mplayer
#mpeg4 encoding
Suggests:	mencoder
#or (needed for matroska ?)
Suggests:	ffmpeg
Suggests:	twolame
#or (but a bit old)
#Suggests:	toolame
Suggests:	k3b

Provides:	kde4-k9copy = %{version}
Obsoletes:	kde4-k9copy < %{version}

%description
k9copy is using various external programs like vamps and mencoder to 
make backups of Video DVDs onto an other DVD or MPEG4 files.

This version of k9copy is for use with the KDE 4 environment.

This package is in the Tainted repository, as DVD ripping might break local
laws in some countries.

%prep
%setup -q -n k9copy-%{version}-Source
%patch0 -p1

# fix rights on source for the debug package
find . -name "*\.[ch]*" -exec chmod 644 {} +

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

perl -pi -e 's|#!/usr/bin/env xdg-open\n||' %{buildroot}%{_kde_datadir}/applications/kde4/*
mkdir -p %{buildroot}%{_kde_datadir}/applications/
desktop-file-install --vendor="" \
 --remove-category="Application" \
 --add-category="Qt" \
 --add-category="Video" \
 --add-category="X-MandrivaLinux-Multimedia-Video" \
 --remove-key="MimeTypes" \
 --dir %{buildroot}%{_kde_datadir}/applications/kde4/ \
 %{buildroot}%{_kde_datadir}/applications/kde4/*

%find_lang k9copy  --with-html

%clean
rm -rf %{buildroot}

%files -f k9copy.lang
%defattr(-,root,root)
%doc README
%{_kde_bindir}/k9*
%{_kde_datadir}/applications/kde4/k9copy*.desktop
%{_kde_appsdir}/k9copy
%{_kde_appsdir}/solid/actions/k9copy*.desktop
%{_kde_iconsdir}/hicolor/*/apps/k9copy.png


%changelog

* Mon Apr 08 2013 bcornec <bcornec> 2.3.8-2.mga3
+ Revision: 409093
- Align with type in C file
- Still trying to fix function type
- Still fixing function type
- Fix a type
- Fix a missing dlsym for usage of new function avio_rb64
- Still trying to improve ffmpeg k9copy patch
- Improved ffmpeg patch for k9copy (cur_st struct member was removed)
- Recode k9copy patch to work with ffmpeg new version based on previous patch
- Suppress call to ffmpeg patch as incorrect here.
- Fix Group and patch to apply with -p1
- Use commit 86848f246df9c31e84256a2d952e36b16d1b5c48 from Sl?\195?\161vek Banko <slavek.banko@axis.cz> to Fix build failures against ffmpeg up to version 0.11 (Cf: http://www.trinitydesktop.org/patches/1344901436:86848f246df9c31e84256a2d952e36b16d1b5c48.diff)
- remove useless perl call in spec for k9copy
- Adds sha1 for k9copy
- Upload k9copy 2.3.8
- Adds SOURCES dir for k9copy
- Adds SPECS dir for k9copy
- create missing current dir for k9copy


* Sat Apr 10 2010 Guillaume Bedot <littletux@zarb.org> 2.3.5-1plf2010.1
- release 2.3.5

* Tue Sep 15 2009 Guillaume Bedot <littletux@zarb.org> 2.3.3-1plf2010.0
- release 2.3.3

* Wed Jun  3 2009 Guillaume Bedot <littletux@zarb.org> 2.3.2-1plf2010.0
- release 2.3.2
- fix buildrequires
- fix description
- patch0 for new gcc
- restored old kde4-k9copy changelog

* Mon Apr 27 2009 Guillaume Bedot <littletux@zarb.org> 2.3.1-1plf2009.1
- Renamed to k9copy (should fix plf bug #237)
- New release 2.3.1 (fixes plf bug #238)
- Updated buildrequires, requires and suggests

* Thu Oct 30 2008 Guillaume Bedot <littletux@zarb.org> 2.1.0-1plf2009.1
- fix k3b suggests
- use kde4 macros
- icon cache file triggers
- trying to comply to new mdv spec policy proposal

* Fri Jun  6 2008 Guillaume Bedot <littletux@zarb.org> 2.0.0-1plf2009.0
- 2.0.0
- fixed path to ffmpeg headers and desktop file for cooker/2009.0
- conflicts with old kde3's k9copy

* Mon Feb  4 2008 Guillaume Bedot <littletux@zarb.org> 1.9.8-1plf2008.1
- First PLF package
